# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0

stages:
  - test
  - build
  - deploy

workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "push" && $CI_OPEN_MERGE_REQUESTS
      when: never
    - when: always

include:
  - project: buildgarden/pipelines/container
    ref: 0.3.1
    file:
      - container-docker.yml
      - container-hadolint.yml
  - project: buildgarden/pipelines/prettier
    ref: 0.3.2
    file:
      - prettier.yml
  - project: buildgarden/pipelines/skywalking-eyes
    ref: 0.2.2
    file:
      - license-eye-header-check.yml
  - project: buildgarden/pipelines/python
    ref: 0.14.0
    file:
      - python-isort.yml # import sorter
      - python-black.yml # code formatter:
      - python-vulture.yml # find dead code
  - project: buildgarden/pipelines/gitlab
    ref: 0.2.2
    file:
      - gitlab-release.yml
  - project: buildgarden/pipelines/detect-secrets
    ref: 0.2.1
    file:
      - detect-secrets.yml
